You are here

Issue with VESC I/O on donkey car

1 post / 0 new
baluja
Offline
Last seen: 3 months 1 week ago
Joined: 2022-10-28 02:51
Posts: 1
Issue with VESC I/O on donkey car

My team is currently using the new VESC hardware at UC San Diego for autonomous vehicles. We're collecting training data by driving around a track with donkeysim, and we've been running into this issue when attempting to make turns from time to time. This is the error that comes up when the donkeycar software crashes.

 

File "/home/jetson/projects/envs/donkey/lib/python3.6/site-packages/pyvesc/VESC/VESC.py", line 117, in set_servo
    self.write(encode(SetServoPosition(new_servo_pos)))
  File "/home/jetson/projects/envs/donkey/lib/python3.6/site-packages/pyvesc/VESC/VESC.py", line 87, in write
    self.serial_port.write(data)
  File "/home/jetson/projects/envs/donkey/lib/python3.6/site-packages/serial/serialposix.py", line 655, in write
    raise SerialException('write failed: {}'.format(e))
serial.serialutil.SerialException: write failed: [Errno 5] Input/output error
INFO:donkeycar.vehicle:Shutting down vehicle and its parts...
Exception in thread Thread-4:
Traceback (most recent call last):
  File "/home/jetson/projects/envs/donkey/lib/python3.6/site-packages/serial/serialposix.py", line 621, in write
    n = os.write(self.fd, d)
OSError: [Errno 5] Input/output error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/threading.py", line 916, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/home/jetson/projects/envs/donkey/lib/python3.6/site-packages/pyvesc/VESC/VESC.py", line 62, in _heartbeat_cmd_func
    self.write(alive_msg)
  File "/home/jetson/projects/envs/donkey/lib/python3.6/site-packages/pyvesc/VESC/VESC.py", line 87, in write
    self.serial_port.write(data)
  File "/home/jetson/projects/envs/donkey/lib/python3.6/site-packages/serial/serialposix.py", line 655, in write
    raise SerialException('write failed: {}'.format(e))
serial.serialutil.SerialException: write failed: [Errno 5] Input/output error